#ifndef XD3DINDEXBUFFER_H
#define XD3DINDEXBUFFER_H

#include "xd3dresource.h"

class XD3DIndexBuffer : public XD3DResource
{
public:
    explicit XD3DIndexBuffer();

    void ParseData(XDataStream *aStream) override;
    void Clear() override;

private:
    quint32 mAddress;
    quint32 mSize;
};

#endif // XD3DINDEXBUFFER_H








